import type { InputHTMLAttributes, PropsWithChildren } from "react";

type AuthSwitchProps = InputHTMLAttributes<HTMLInputElement> & PropsWithChildren;

export function AuthSwitch({ children, ...props }: AuthSwitchProps): JSX.Element {
  return (
    <label className="z-login-remember">
      <input type="checkbox" {...props} />
      <span>{children}</span>
    </label>
  );
}
